textures/tm2-keditok/hellsky2overhead
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_sun	1 1 1 100 220 90
	q3map_surfacelight 120

	qer_editorimage textures/skies/inteldimredclouds.tga

	skyparms - 512 -
	{
		map textures/skies/inteldimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
textures/tm2-keditok/transparentpjgrate1
//modified from original id shaders October 15, 2001 by keditok
//transparent pjgrate for lighting
{
	qer_editorimage textures/base_floor/pjgrate1.tga
	surfaceparm trans
	surfaceparm	metalsteps		
	cull none

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/base_floor/pjgrate1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/tm2-keditok/thinbrightfog_timctf1
//modified from original id shaders October 15, 2001 by keditok
//a thin bright emiiting fog
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		q3map_surfacelight 125
		q3map_lightsubdivide 128

		fogparms ( .729 .729 .780 ) 1800

}
textures/tm2-keditok/bluemetalsupport2clight-dimmer
//modified from original id shaders October 26, 2001 by keditok
{
	qer_editorimage textures/base_wall/bluemetalsupport2clight.tga
	surfaceparm nomarks
	q3map_surfacelight 50

	

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2clight.tga
		blendFunc blend	
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}


	{
		map textures/base_wall/bluemetalsupport2clight.glow.tga
		blendFunc add
		rgbgen wave sawtooth .6 .1 0 4
	}
}

textures/tm2-keditok/keditok_tm2_ctfbluefog
//modified by keditok from original iD and modified shaders
{
	qer_editorimage textures/sfx/fog_blue.tga
	q3map_globaltexture
	q3map_surfacelight 100
	q3map_lightsubdivide 128

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.3 0.3 0.9 ) 128

}
textures/tm2-keditok/keditok_tm2_ctfredfog
//modified by keditok from original iD and modified shaders
{
	qer_editorimage textures/sfx/fog_red.tga
	q3map_globaltexture
	q3map_surfacelight 100
	q3map_lightsubdivide 128

	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .55 .11 .1 ) 128

}
